Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.ra
Class ActiveMQConnectionRequestInfo

    java.lang.Object
      org.codehaus.activemq.ra.ActiveMQConnectionRequestInfo

All Implemented Interfaces:
  java.lang.Cloneable, ConnectionRequestInfo

public class ActiveMQConnectionRequestInfo
extends java.lang.Object
implements ConnectionRequestInfo, java.lang.Cloneable

Version:
  $Revision: 1.5 $

Field Summary
`(package private) java.lang.String` | `clientid`
`(package private) java.lang.String` | `password`
`(package private) java.lang.String` | `serverUrl`
`(package private) java.lang.String` | `userName`
`(package private) boolean` | `xa`

Constructor Summary
`ActiveMQConnectionRequestInfo()`

Method Summary
`ActiveMQConnectionRequestInfo` | `copy()`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getClientid()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getServerUrl()`
`java.lang.String` | `getUserName()`
`int` | `hashCode()`
`boolean` | `isXa()`
`void` | `setClientid(java.lang.String clientid)`
`void` | `setPassword(java.lang.String password)`
`void` | `setServerUrl(java.lang.String url)`
`void` | `setUserName(java.lang.String userid)`
`void` | `setXa(boolean xa)` Enables or disables whether XA connections should be created

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userName

    java.lang.String userName

### password

    java.lang.String password

### serverUrl

    java.lang.String serverUrl

### clientid

    java.lang.String clientid

### xa

    boolean xa

Constructor Detail

### ActiveMQConnectionRequestInfo

    public ActiveMQConnectionRequestInfo()

Method Detail

### copy

    public ActiveMQConnectionRequestInfo copy()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `ConnectionRequestInfo`
  See Also:
    `ConnectionRequestInfo.hashCode()`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `ConnectionRequestInfo`
  See Also:
    `ConnectionRequestInfo.equals(java.lang.Object)`

### getServerUrl

    public java.lang.String getServerUrl()

  Returns:
    Returns the url.

### setServerUrl

    public void setServerUrl(java.lang.String url)

  Parameters:
    `url` - The url to set.

### getPassword

    public java.lang.String getPassword()

  Returns:
    Returns the password.

### setPassword

    public void setPassword(java.lang.String password)

  Parameters:
    `password` - The password to set.

### getUserName

    public java.lang.String getUserName()

  Returns:
    Returns the userid.

### setUserName

    public void setUserName(java.lang.String userid)

  Parameters:
    `userid` - The userid to set.

### getClientid

    public java.lang.String getClientid()

  Returns:
    Returns the clientid.

### setClientid

    public void setClientid(java.lang.String clientid)

  Parameters:
    `clientid` - The clientid to set.

### isXa

    public boolean isXa()

  Returns:
    Is an XA connection to be created?

### setXa

    public void setXa(boolean xa)

  Enables or disables whether XA connections should be created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.